@REM VMWARE END USER LICENSE AGREEMENT
@REM
@REM PLEASE NOTE THAT THE TERMS OF THIS END USER LICENSE AGREEMENT SHALL GOVERN
@REM YOUR USE OF THE SOFTWARE, REGARDLESS OF ANY TERMS THAT MAY APPEAR DURING THE
@REM INSTALLATION OF THE SOFTWARE.
@REM
@REM IMPORTANT-READ CAREFULLY:   BY DOWNLOADING, INSTALLING, OR USING THE SOFTWARE,
@REM YOU (THE INDIVIDUAL OR LEGAL ENTITY) AGREE TO BE BOUND BY THE TERMS OF THIS
@REM END USER LICENSE AGREEMENT ("EULA").  IF YOU DO NOT AGREE TO THE TERMS OF THIS
@REM EULA, YOU MUST NOT DOWNLOAD, INSTALL, OR USE THE SOFTWARE, AND YOU MUST DELETE
@REM OR RETURN THE UNUSED SOFTWARE TO THE VENDOR FROM WHICH YOU ACQUIRED IT WITHIN
@REM THIRTY (30) DAYS AND REQUEST A REFUND OF THE LICENSE FEE, IF ANY, THAT YOU
@REM PAID FOR THE SOFTWARE.
@REM
@REM EVALUATION LICENSE.  If You are licensing the Software for evaluation
@REM purposes, Your use of the Software is only permitted in a non-production
@REM environment and for the period limited by the License Key.  Notwithstanding
@REM any other provision in this EULA, an Evaluation License of the Software is
@REM provided "AS-IS" without indemnification, support or warranty of any kind,
@REM expressed or implied.
@REM
@REM 1.	DEFINITIONS.
@REM
@REM 1.1 "Affiliate" means, with respect to a party, an entity that is directly or
@REM indirectly controlled by or is under common control with such party,
@REM where "control" means an ownership, voting or similar interest representing
@REM fifty percent (50%) or more of the total interests then outstanding of the
@REM relevant entity (but only as long as such person or entity meets these
@REM requirements).
@REM
@REM 1.2	"Documentation" means that documentation that is generally provided to
@REM You by VMware with the Software, as revised by VMware from time to time, and
@REM which may include end user manuals, operation instructions, installation
@REM guides, release notes, and on-line help files regarding the use of the
@REM Software.
@REM
@REM 1.3	"Guest Operating Systems" means instances of third-party operating
@REM systems licensed by You, installed in a Virtual Machine and run using the
@REM Software.
@REM
@REM 1.4	"Intellectual Property Rights" means all worldwide intellectual
@REM property rights, including without limitation, copyrights, trademarks, service
@REM marks, trade secrets, know how, inventions, patents, patent applications,
@REM moral rights and all other proprietary rights, whether registered or
@REM unregistered.
@REM
@REM 1.5      "License" means a license granted under Section 2.1.
@REM
@REM 1.6    	"License Key" means a serial number that enables You to activate and
@REM use the Software.
@REM
@REM 1.7     "License Term" means the duration of a License as specified in the
@REM Order.
@REM
@REM 1.8	"License Type" means the type of License applicable to the Software,
@REM as more fully described in the Order.
@REM
@REM 1.9 "Open Source Software" or "OSS" means software components that are
@REM licensed under a license approved by the Open Source Initiative ("OSI") or
@REM similar open source or freeware license and are embedded in the delivered
@REM Software.
@REM
@REM 1.10 "Order" means a purchase order, enterprise license agreement, or other
@REM ordering document issued by You to VMware or a VMware authorized reseller that
@REM references and incorporates this EULA and is accepted by VMware as set forth
@REM in Section 4.
@REM
@REM 1.11 "Product Guide" means the current version of the VMware Product Guide at
@REM the time of Your Order, copies of which are found at
@REM www.vmware.com/download/eula.
@REM
@REM 1.12 "Services Terms" means VMware's then-current Support and Subscription
@REM Contract Terms and Conditions,   copies of which are found at
@REM www.vmware.com/files/pdf/support/support_terms_conditions.pdf.
@REM
@REM 1.13	"Software" means the VMware Tools and the VMware computer programs
@REM listed on VMware's commercial price list to which You acquire a license under
@REM an Order, together with any software code relating to the foregoing that is
@REM provided to You pursuant to a support and subscription service contract and
@REM that is not subject to a separate license agreement.
@REM
@REM 1.14 "Territory" means the country or countries in which You have been
@REM invoiced; provided, however, that if You have been invoiced within any of the
@REM European Economic Area member states, You may deploy the corresponding
@REM Software throughout the European Economic Area.
@REM
@REM 1.15 "Third Party Agent" means a third party delivering information technology
@REM services to You pursuant to a written contract with You.
@REM
@REM 1.16	"Virtual Machine" means a software container that can run its own
@REM operating system and execute applications like a physical machine.
@REM
@REM 1.17	"VMware" means VMware, Inc., a Delaware corporation, if You are
@REM purchasing Licenses or services for use in the United States and VMware
@REM International Limited, a company organized and existing under the laws of
@REM Ireland, for all other purchases.
@REM
@REM 1.18	"VMware Tools" means the suite of utilities and drivers, Licensed by
@REM VMware under the "VMware Tools" name, that can be installed in a Guest
@REM Operating System to enhance the performance and functionality of a Guest
@REM Operating System when running in a Virtual Machine.
@REM
@REM 2.		LICENSE GRANT.
@REM
@REM 2.1	Scope of License.  Subject to the terms and conditions of this EULA,
@REM VMware grants You, during the License Term, a non-exclusive, non-transferable
@REM License to use the Software, in executable code form only, within the
@REM Territory, for Your internal operations in accordance with (a) the
@REM Documentation; (b) the License Type for which You have paid the applicable
@REM fees; (c) other applicable limitations set forth in the Order.  The License to
@REM the Software is limited to the quantities specified in each applicable Order.
@REM
@REM 2.2	Third Party Use. Under the License granted to You in Section 2.1
@REM above, You may permit Your Third Party Agents to access, use and/or operate
@REM the Software on Your behalf for the sole purpose of delivering services to
@REM You, provided that You will be fully responsible for Your Third Party Agents'
@REM compliance with terms and conditions of this EULA and any breach of this EULA
@REM by a Third Party Agent shall be deemed to be a breach by You.
@REM
@REM 2.3    Permitted Copies. You may make one copy of the Software for archival
@REM purposes only. The copy shall: (a) be kept within Your possession or control;
@REM (b) include all titles, trademarks, and copyright and restricted rights
@REM notices in the original; and (c) be subject to this EULA. You may not
@REM otherwise copy the Software without VMware's prior written consent.
@REM
@REM 2.4	Benchmarking.  You may use the Software to conduct internal
@REM performance testing and benchmarking studies. You may only publish or
@REM otherwise distribute the results of such studies to third parties as follows:
@REM (a) if with respect to VMware's Workstation or Fusion products, only if You
@REM provide a copy of Your study to benchmark@vmware.com prior to distribution;
@REM (b) if with respect to any other Software, only if VMware has reviewed and
@REM approved of the methodology, assumptions and other parameters of the study
@REM (please contact VMware at benchmark@vmware.com to request such review and
@REM approval) prior to such publication and distribution.
@REM
@REM 2.5	VMware Tools.  You may distribute the VMware Tools (whether or not as
@REM part of the Virtual Machine You create with the Software) to third parties
@REM solely when installed in a Guest Operating System to enhance its performance
@REM and functionality when running in a Virtual Machine, provided that You will be
@REM fully responsible for such third parties' compliance with the terms and
@REM conditions of this EULA, and any breach of this EULA by any such third party
@REM shall be deemed to be a breach of this EULA by You.
@REM
@REM 2.6	Open Source Software.  Notwithstanding anything herein to the
@REM contrary, Open Source Software is licensed to You under such OSS's own
@REM applicable license terms, which can be found in the open_source_licenses.txt
@REM file, the Documentation or as applicable, the corresponding source files for
@REM the Software available at http://www.vmware.com/download/open_source.html.
@REM These OSS license terms are consistent with the license granted in Section 2,
@REM and may contain additional rights benefiting You.  The OSS license terms shall
@REM take precedence over this EULA to the extent that this EULA imposes greater
@REM restrictions on You than the applicable OSS license terms.
@REM
@REM 3.	RESTRICTIONS; OWNERSHIP.
@REM
@REM 3.1	Restrictions.  You acknowledge that the Software and the structure,
@REM organization and source code of the Software constitute valuable trade secrets
@REM of VMware.  Accordingly, except as expressly permitted in Section 2 or as
@REM otherwise authorized by VMware in writing, You will not and will not permit
@REM any third party to: (a) sell, lease, license, distribute, sublicense or
@REM otherwise transfer in whole or in part the Software or Documentation to any
@REM third party; (b) decompile, disassemble, reverse engineer, or otherwise
@REM attempt to derive source code from the Software, in whole or in part; (c) copy
@REM the Software, except for archival purposes, as set out in Section 2.3; (d)
@REM create, develop, license, install, use, or deploy any software or services to
@REM circumvent, enable, modify or provide access, permissions or rights which
@REM violate the technical restrictions of the Software as described in this EULA;
@REM (e) translate, modify or create derivative works based upon the Software; (f)
@REM permit any use of or access to the Software by any third party; (g) remove any
@REM product identification, proprietary, copyright or other notices contained in
@REM the Software; or (h) operate the Software on behalf of or for the benefit of
@REM any third party, including the operation of any service that is accessed by a
@REM third party, except that, for the purposes of this Section 3.1 (h), You may
@REM use the Software to deliver hosted services to Your Affiliates.
@REM
@REM 3.2	Decompilation.  Notwithstanding the foregoing, decompiling the
@REM Software is permitted to the extent the laws of the Territory give You the
@REM express right to do so to obtain information necessary to render the Software
@REM interoperable with other software; provided, however, You must first request
@REM such information from VMware (at info@vmware.com), provide all reasonably
@REM requested information to allow VMware to assess Your claim, and VMware may, in
@REM its discretion, either provide such interoperability information to You,
@REM impose reasonable conditions, including a reasonable fee, on such use of the
@REM Software, or offer to provide alternatives to ensure that VMware's proprietary
@REM rights in the Software are protected and to reduce any adverse impact on
@REM VMware's proprietary rights.
@REM
@REM 3.3	Ownership.  The Software and Documentation, all copies and portions
@REM thereof, and all improvements, enhancements, modifications and derivative
@REM works thereof, and all Intellectual Property Rights therein, are and shall
@REM remain the sole and exclusive property of VMware and its licensors. Your
@REM rights to use the Software and Documentation shall be limited to those
@REM expressly granted in this EULA and any applicable Order.  No other rights with
@REM respect to the Software or any related Intellectual Property Rights are
@REM implied.  You are not authorized to use (and shall not permit any third party
@REM to use) the Software, Documentation or any portion thereof except as expressly
@REM authorized by this EULA or the applicable Order.
@REM
@REM 3.4	Guest Operating Systems.  Certain Software allows Guest Operating
@REM Systems and application programs to run on a computer system. You acknowledge
@REM that You are responsible for obtaining and complying with any licenses
@REM necessary to operate any such third-party software.
@REM
@REM 4.	ORDER. Your Order is subject to this EULA.  No Orders are binding on
@REM VMware until accepted by VMware.  Orders for Software are deemed to be
@REM accepted upon VMware's delivery of the Software included in such Order. Orders
@REM issued to VMware do not have to be signed to be valid and enforceable.
@REM
@REM 5.	AUDIT RIGHTS.
@REM
@REM 5.1	Records. You will, during the License Term for any Software licenses
@REM acquired under this EULA (and for a period of two (2) years from the
@REM expiration of the applicable License Term), maintain accurate records of your
@REM use of the Software sufficient to demonstrate Your compliance with the terms
@REM of this EULA and all Orders.
@REM
@REM 5.2	Audit Rights. During the period in which the You are obligated to
@REM maintain such records, VMware, or its third party auditor, may, upon
@REM reasonable notice to You, audit such records to verify that You have (a) used
@REM the Software solely in the manner authorized herein; (b) paid all applicable
@REM license fees; and (c) otherwise complied with the terms of this EULA and all
@REM Orders. VMware may conduct no more than one (1) audit in any twelve (12) month
@REM period. Audits will be conducted during normal business hours and VMware will
@REM use commercially reasonable efforts to minimize the disruption of Your normal
@REM business activities.  VMware, and any third-party auditor, shall not have
@REM physical access to Your computing devices in connection with any such audit,
@REM without Your prior written consent.  You will reasonably cooperate with VMware
@REM and/or its third-party auditor and will promptly pay directly to VMware any
@REM underpayments revealed by such audit.  You will promptly reimburse VMware for
@REM all reasonable costs and expenses incurred by VMware for such audit if: (i)
@REM such audit reveals an underpayment by You of more than five percent (5%) of
@REM the fees payable by You to VMware for the period audited, or (ii) such audit
@REM reveals You have materially failed to maintain accurate records of Your use of
@REM the Software.
@REM
@REM 6.	SUPPORT AND SUBSCRIPTION SERVICES.  Except as expressly specified in
@REM the Product Guide, VMware does not provide any support or subscription
@REM services for the Software under this EULA.  You have no rights to any updates,
@REM upgrades or extensions or enhancements to the Software developed by VMware
@REM unless you separately purchase VMware support or subscription services.  These
@REM support or subscription services are subject to the Services Terms.
@REM
@REM 7.    WARRANTIES.
@REM
@REM 7.1 Software Warranty. VMware warrants to You that the Software will, for a
@REM period of ninety (90) days following delivery ("Warranty Period"),
@REM substantially conform to the applicable Documentation, provided that  the
@REM Software (a) has been properly installed and used at all times and in
@REM accordance with the  applicable Documentation; and (b) has not been modified
@REM or added to by persons other than VMware or its authorized representative.
@REM VMware will, at its own expense and as its sole obligation and Your exclusive
@REM remedy for any breach of the foregoing warranty, either replace the applicable
@REM Software or correct any reproducible error in the Software reported to VMware
@REM by You in writing during the Warranty Period.  If VMware determines that it is
@REM unable to correct the error or replace the Software, VMware will refund to You
@REM all License fees actually paid by You, in which case the License for the
@REM applicable Software and Your right to use such Software will terminate.
@REM
@REM 7.2 Disclaimer of Warranties. THE EXPRESS WARRANTY IN SECTION 7.1 ABOVE IS IN
@REM LIEU OF AND, TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, VMWARE AND ITS
@REM LICENSORS DISCLAIM, ALL OTHER WARRANTIES, WHETHER EXPRESS, IMPLIED, OR
@REM STATUTORY, INCLUDING ANY IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@REM A PARTICULAR PURPOSE, TITLE,  NON-INFRINGEMENT AND ANY WARRANTIES ARISING FROM
@REM COURSE OF DEALING OR COURSE OF PERFORMANCE) REGARDING OR RELATING TO THE
@REM SOFTWARE, THE DOCUMENTATION, OR ANY MATERIALS FURNISHED OR PROVIDED TO YOU
@REM UNDER THIS EULA. VMWARE AND ITS LICENSORS DO NOT WARRANT THAT THE SOFTWARE
@REM WILL OPERATE UNINTERRUPTED OR THAT IT WILL BE FREE FROM DEFECTS OR THAT THE
@REM SOFTWARE WILL MEET (OR IS DESIGNED TO MEET) YOUR BUSINESS REQUIREMENTS.
@REM
@REM 8.    INTELLECTUAL PROPERTY INDEMNIFICATION.
@REM
@REM 8.1 Defense and Indemnification.  Subject to the remainder of this Section 8,
@REM VMware shall defend You against any third party claim that the Software
@REM infringes any patent, trademark or copyright of such third party, or
@REM misappropriates a trade secret (but only to the extent that such
@REM misappropriation is not a result of Your actions) under the laws of: (a) the
@REM United States and Canada; (b) the European Economic Area; (c) Australia; (d)
@REM New Zealand; (e) Japan; or (f) the People's Republic of China, to the extent
@REM that such countries are part of the Territory for the License ("Infringement
@REM Claim") and indemnify You from the resulting costs and damages finally awarded
@REM against You to such third party by a court of competent jurisdiction or agreed
@REM to in settlement; provided that You:  (i) promptly provide VMware with notice
@REM of such Infringement Claim; (ii) allow VMware sole control over the defense
@REM thereof and related settlement negotiation; and (iii) reasonably cooperate in
@REM response to VMware requests for assistance.  You may not settle or compromise
@REM any Infringement Claim without the prior written consent of VMware.
@REM
@REM 8.2 Remedies.  Should the Software become, or in VMware's opinion be likely to
@REM become, the subject of an Infringement Claim, VMware will, at VMware's option
@REM and expense either:  (a) procure the rights necessary for You to make
@REM continued use of the affected Software in accordance with this EULA; (b)
@REM replace or modify the affected Software to make it non-infringing; or (c)
@REM terminate the License to the affected Software and discontinue the related
@REM support services, and, upon Your certified deletion of the affected Software,
@REM refund: (i) the fees paid by You for the License to the affected Software,
@REM less straight-line depreciation over a three (3) year useful life beginning on
@REM the date such Software was delivered; and (ii) any pre-paid service fee
@REM attributable to related support services to be delivered after the date such
@REM service is stopped. Nothing in this Section 8.2 shall limit VMware's
@REM obligation under Section 8.1 to defend and indemnify You, provided that You
@REM replace the allegedly infringing Software upon VMware's making alternate
@REM Software available to You and/or You discontinue using the allegedly
@REM infringing Software upon receiving VMware's notice terminating the affected
@REM License.
@REM
@REM 8.3 Exclusions.  Notwithstanding the foregoing, VMware will have no obligation
@REM under this Section 8 or otherwise with respect to any claim based on:  (a) a
@REM combination of Software with non-VMware products (other than non-VMware
@REM products that are listed on the Order and used in an unmodified form); (b) use
@REM for a purpose or in a manner for which the Software was not designed; (c) use
@REM of any older version of the Software when use of a newer VMware revision would
@REM have avoided the infringement; (d) any modification to the Software made
@REM without VMware's express written approval; (e) any claim that relates to open
@REM source software or freeware technology or any derivatives or other adaptations
@REM thereof that is not embedded by VMware into Software listed on VMware's
@REM commercial price list; (f) any claim that relates to Linux or Android open
@REM source software, even when it has been embedded into or distributed with the
@REM Software or (g) any Software provided on a no charge, beta or evaluation
@REM basis.  THIS SECTION 8 STATES YOUR SOLE AND EXCLUSIVE REMEDY AND VMWARE'S
@REM ENTIRE LIABILITY FOR ANY INFRINGEMENT CLAIMS OR ACTIONS.
@REM
@REM 9. LIMITATION OF LIABILITY.
@REM
@REM 9.1 Limitation of Liability. TO THE MAXIMUM EXTENT MANDATED BY LAW, IN NO
@REM EVENT WILL VMWARE AND ITS LICENSORS BE LIABLE FOR ANY LOST PROFITS OR BUSINESS
@REM OPPORTUNITIES, LOSS OF USE, LOSS OF REVENUE, LOSS OF GOODWILL, BUSINESS
@REM INTERRUPTION, LOSS OF DATA, OR ANY OTHER INDIRECT, SPECIAL, INCIDENTAL, OR
@REM CONSEQUENTIAL DAMAGES UNDER ANY THEORY OF LIABILITY, WHETHER BASED IN
@REM CONTRACT, TORT, NEGLIGENCE, PRODUCT LIABILITY, OR OTHERWISE.  BECAUSE SOME
@REM JURISDICTIONS DO NOT ALLOW THE EXCLUSION OR LIMITATION OF LIABILITY FOR
@REM CONSEQUENTIAL OR INCIDENTAL DAMAGES, THE PRECEDING LIMITATION MAY NOT APPLY TO
@REM YOU.  VMWARE'S AND ITS LICENSORS' LIABILITY UNDER THIS EULA WILL NOT, IN ANY
@REM EVENT, REGARDLESS OF WHETHER THE CLAIM IS BASED IN CONTRACT, TORT, STRICT
@REM LIABILITY, OR OTHERWISE, EXCEED THE LICENSE FEES YOU PAID FOR THE SOFTWARE, IF
@REM ANY. THE FOREGOING LIMITATIONS SHALL APPLY REGARDLESS OF WHETHER VMWARE OR ITS
@REM LICENSORS HAVE BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES AND REGARDLESS
@REM OF WHETHER ANY REMEDY FAILS OF ITS ESSENTIAL PURPOSE.
@REM
@REM 9.2 Further Limitations.  VMware's licensors shall have no liability of any
@REM kind under this EULA and VMware's liability with respect to any third party
@REM software embedded in the Software shall be subject to Section 9.1.  You may
@REM not bring a claim under this EULA more than eighteen (18) months after the
@REM cause of action arises.
@REM
@REM 10.     TERMINATION.
@REM
@REM 10.1	License Term. This EULA will terminate in its entirety upon the
@REM termination of the License Term, unless terminated earlier under this Section
@REM 10.
@REM
@REM 10.2	Termination for Breach. VMware may terminate this EULA in its entirety
@REM effective immediately upon written notice to You if: (a) You breach any
@REM provision in Section 3 and do not cure the breach within ten (10) days after
@REM receiving written notice thereof from VMware; (b) You fail to pay any portion
@REM of the fees under an applicable Order within ten (10) days after receiving
@REM written notice from VMware that payment is past due; (c) You breach any other
@REM provision of this EULA and don't not cure the breach within thirty (30) days
@REM after receiving written notice thereof from VMware; or (d) You commit a
@REM material breach that is not capable of being cured.
@REM
@REM 10.3	Termination for Insolvency.  VMware may terminate this EULA in its
@REM entirety effective immediately upon written notice to You if You: (a)
@REM terminate or suspend your business; (b) become insolvent, admit in writing
@REM Your inability to pay Your debts as they mature, make an assignment for the
@REM benefit of creditors; or become subject to control of a trustee, receiver or
@REM similar authority; or (c) become subject to any bankruptcy or insolvency
@REM proceeding.
@REM
@REM 10.4	Effect of Termination. If VMware terminates this EULA under this
@REM Section 10: (a) all Licensed rights to all Software granted to You under this
@REM EULA will immediately cease to exist; and (b) You must promptly discontinue
@REM all use of all Software, and (destroy all copies of the Software and all
@REM License Key(s)) and return, or if requested by VMware, destroy, any related
@REM VMware Confidential Information in Your possession or control and certify in
@REM writing to VMware that You have fully complied with these requirements.
@REM Sections 1 (Definitions), 2.6 (Open Source Software), 3 (Restrictions;
@REM Ownership), 5.1 (Records), 5.2 (Audit Rights), 7.2 (Disclaimer of Warranties),
@REM 9 (Limitation of Liability), 10 (Termination), 11 (Confidential Information)
@REM and 12 (General) will any survive termination of this EULA.
@REM
@REM 11.	CONFIDENTIAL INFORMATION.
@REM
@REM 11.1 Definition.  "Confidential Information" means information or materials
@REM provided by one party ("Discloser") to the other party ("Recipient") which are
@REM in tangible form and labeled "confidential" or the like, or, information which
@REM a reasonable person knew or should have known to be confidential.  The
@REM following information shall be considered Confidential Information whether or
@REM not marked or identified as such:  (a) License Keys; (b) information regarding
@REM VMware's pricing, product roadmaps or strategic marketing plans; and (c) non-
@REM public materials relating to the Software.
@REM
@REM 11.2 Protection.  Recipient may use Confidential Information of Discloser; (a)
@REM to exercise its rights and perform its obligations under this EULA; or (b) in
@REM connection with the parties' ongoing business relationship.  Recipient will
@REM not use any Confidential Information of Discloser for any purpose not
@REM expressly permitted by the EULA, and will disclose the Confidential
@REM Information of Discloser only to the employees or contractors of Recipient who
@REM have a need to know such Confidential Information for purposes of the EULA and
@REM who are under a duty of confidentiality no less restrictive than Recipient's
@REM duty hereunder.  Recipient will protect Confidential Information from
@REM unauthorized use, access, or disclosure in the same manner as Recipient
@REM protects its own confidential or proprietary information of a similar nature
@REM but with no less than reasonable care.
@REM
@REM 11.3 Exceptions.  Recipient's obligations under Section 11.2 with respect to
@REM any Confidential Information will terminate if Recipient can show by written
@REM records that such information:  (a) was already known to Recipient at the time
@REM of disclosure by Discloser; (b) was disclosed to Recipient by a third party
@REM who had the right to make such disclosure without any confidentiality
@REM restrictions; (c) is, or through no fault of Recipient has become, generally
@REM available to the public; or (d) was independently developed by Recipient
@REM without access to, or use of, Discloser's Information.  In addition, Recipient
@REM will be allowed to disclose Confidential Information to the extent that such
@REM disclosure is required by law or by the order of a court of similar judicial
@REM or administrative body, provided that Recipient notifies Discloser of such
@REM required disclosure promptly and in writing and cooperates with Discloser, at
@REM Discloser's request and expense, in any lawful action to contest or limit the
@REM scope of such required disclosure.
@REM
@REM 11.4	Data Privacy. You agree that VMware may process technical and related
@REM information about Your use of the Software which may include internet protocol
@REM address, hardware identification, operating system, application software,
@REM peripheral hardware, and non-personally identifiable Software usage statistics
@REM to facilitate the provisioning of updates, support, invoicing or online
@REM services and may transfer such information to other companies in the VMware
@REM worldwide group of companies from time to time. To the extent that this
@REM information constitutes personal data, VMware shall be the controller of such
@REM personal data. To the extent that it acts as a controller, each party shall
@REM comply at all times with its obligations under the local legislation
@REM applicable in the Territory for the protection of individuals with regard to
@REM the processing of personal data. Collected data is subject to VMware's Privacy
@REM Policy at http://www.vmware.com/help/privacy.html.
@REM
@REM 12.	GENERAL.
@REM
@REM 12.1 Assignment.  This EULA and any Orders, and any of Your rights or
@REM obligations thereunder, may not be assigned, subcontracted or transferred by
@REM You, in whole or in part, whether voluntary, by operation of contract, law or
@REM otherwise, without the prior written consent of VMware.  Any attempted
@REM assignment or transfer in violation of the foregoing will be null and void.
@REM Subject to the foregoing, this EULA will be binding upon and will inure to the
@REM benefit of the parties and their respective successors and assigns.
@REM
@REM 12.2 Notices.  Any notice delivered by VMware to You under this EULA will be
@REM delivered via mail, email or fax.
@REM
@REM 12.3	Waiver.  The waiver of a breach of any provision of this EULA shall
@REM not constitute a waiver of any other provision or any subsequent breach.
@REM
@REM 12.4    Severability.  If any provision of this EULA is held to be illegal,
@REM invalid or unenforceable, the provision will be enforced to the maximum extent
@REM permissible so as to effect the intent of the parties, and the remaining
@REM provisions of this EULA will remain in full force and effect.
@REM
@REM 12.5 Compliance with Laws; Export Control; Government Regulations. Each party
@REM shall comply with all laws applicable to the actions contemplated by this
@REM EULA. You acknowledge that the Software is of United States origin, is
@REM provided subject to the U.S. Export Administration Regulations, may be subject
@REM to the export control laws of the applicable territory, and that diversion
@REM contrary to applicable export control laws is prohibited. You represent that
@REM (1) you are not, and are not acting on behalf of, (a) any person who is a
@REM citizen, national, or resident of, or who is controlled by the government of
@REM any country to which the United States has prohibited export transactions; or
@REM (b) any person or entity listed on the U.S. Treasury Department list of
@REM Specially Designated Nationals and Blocked Persons, or the U.S. Commerce
@REM Department Denied Persons List or Entity List; and (2) you will not permit the
@REM Software to be used for, any purposes prohibited by law, including, any
@REM prohibited development, design, manufacture or production of missiles or
@REM nuclear, chemical or biological weapons. The Software and accompanying
@REM documentation are deemed to be "commercial computer software" and "commercial
@REM computer software documentation", respectively, pursuant to DFAR Section
@REM 227.7202 and FAR Section 12.212(b), as applicable.  Any use, modification,
@REM reproduction, release, performing, displaying or disclosing of the Software
@REM and documentation by the U.S. Government shall be governed solely by the terms
@REM and conditions of this EULA.
@REM
@REM 12.6 Construction. The headings of sections of this EULA are for convenience
@REM and are not to be used in interpreting this EULA. As used in this EULA, the
@REM word 'including' means "including but not limited to."
@REM
@REM 12.7 Governing Law.  This EULA is governed by the laws of the State of
@REM California, United States of America, unless mandated by other law.  The
@REM United Nations Convention for the International Sale of Goods shall not apply.
@REM
@REM 12.8 Third Party Rights.  Other than as expressly set out in this EULA, this
@REM EULA does not create any rights for any person who is not a party to it, and
@REM no person who is not a party to this EULA may enforce any of its terms or rely
@REM on any exclusion or limitation contained in it.
@REM
@REM 12.9    Product Guide. In addition to the above sections, Your use of the
@REM Software is subject to the terms and conditions of the Product Guide, which is
@REM incorporated herein by reference.
@REM
@REM 12.10	Order of Precedence.  In the event of conflict or inconsistency among
@REM the Product Guide, this EULA and the Order, the following order of precedence
@REM shall apply: (a) the Product Guide, (b) this EULA and (c) the Order. With
@REM respect to any inconsistency between this EULA and an Order, the terms of this
@REM EULA shall supersede and control over any conflicting or additional terms and
@REM conditions of any Order, acknowledgement or confirmation or other document
@REM issued by You, unless the parties execute a written agreement expressly
@REM indicating: (i) that such Order shall modify this EULA; or (ii) that the terms
@REM of such Order shall supersede and control in the event of any inconsistency.
@REM
@REM 12.11  Entire Agreement.  This EULA, including accepted Orders and any
@REM amendments hereto, and the Product Guide contain the entire agreement of the
@REM parties with respect to the subject matter of this EULA and supersede all
@REM previous or contemporaneous communications, representations, proposals,
@REM commitments, understandings and agreements, whether written or oral, between
@REM the parties regarding the subject matter hereof.  This EULA may be amended
@REM only in writing signed by authorized representatives of both parties.
@REM
@REM 12.12  Contact Information.  Please direct legal notices or other
@REM correspondence to VMware, Inc., 3401 Hillview Avenue, Palo Alto, California
@REM 94304, United States of America.  If You have any questions concerning this
@REM EULA, please send an email to info@vmware.com.

@echo off

set ERROR_CODE=0

:init
@REM Decide how to startup depending on the version of windows

@REM -- Win98ME
if NOT "%OS%"=="Windows_NT" goto Win9xArg

@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" @setlocal

@REM -- 4NT shell
if "%eval[2+2]" == "4" goto 4NTArgs

@REM -- Regular WinNT shell
set CMD_LINE_ARGS=%*
goto WinNTGetScriptDir

@REM The 4NT Shell from jp software
:4NTArgs
set CMD_LINE_ARGS=%$
goto WinNTGetScriptDir

:Win9xArg
@REM Slurp the command line arguments.  This loop allows for an unlimited number
@REM of arguments (up to the command line limit, anyway).
set CMD_LINE_ARGS=
:Win9xApp
if %1a==a goto Win9xGetScriptDir
set CMD_LINE_ARGS=%CMD_LINE_ARGS% %1
shift
goto Win9xApp

:Win9xGetScriptDir
set SAVEDIR=%CD%
%0\
cd %0\..\.. 
set BASEDIR=%CD%
cd %SAVEDIR%
set SAVE_DIR=
goto repoSetup

:WinNTGetScriptDir
set BASEDIR=%~dp0\..

:repoSetup
set REPO=


if "%JAVACMD%"=="" set JAVACMD=java

if "%REPO%"=="" set REPO=%BASEDIR%\repo

set CLASSPATH="%BASEDIR%"\etc;"%REPO%"\*

set ENDORSED_DIR=lib
if NOT "%ENDORSED_DIR%" == "" set CLASSPATH="%BASEDIR%"\%ENDORSED_DIR%\*;%CLASSPATH%

if NOT "%CLASSPATH_PREFIX%" == "" set CLASSPATH=%CLASSPATH_PREFIX%;%CLASSPATH%

@REM Reaching here means variables are defined and arguments have been captured
:endInit

%JAVACMD% %JAVA_OPTS% -Djava.awt.headless=true -Djsse.enableSNIExtension=false -Dlog4j.configurationFile=log4j2.xml -classpath %CLASSPATH% -Dapp.name="cloudclient" -Dapp.repo="%REPO%" -Dapp.home="%BASEDIR%" -Dbasedir="%BASEDIR%" com.vmware.cloudclient.startup.CloudClient %CMD_LINE_ARGS%
if %ERRORLEVEL% NEQ 0 goto error
goto end

:error
if "%OS%"=="Windows_NT" @endlocal
set ERROR_CODE=%ERRORLEVEL%

:end
@REM set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" goto endNT

@REM For old DOS remove the set variables from ENV - we assume they were not set
@REM before we started - at least we don't leave any baggage around
set CMD_LINE_ARGS=
goto postExec

:endNT
@REM If error code is set to 1 then the endlocal was done already in :error.
if %ERROR_CODE% EQU 0 @endlocal


:postExec

if "%FORCE_EXIT_ON_ERROR%" == "on" (
  if %ERROR_CODE% NEQ 0 exit %ERROR_CODE%
)

exit /B %ERROR_CODE%
