/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl;

import java.util.Map;
import java.util.List;

import javax.wsdl.extensions.ExtensionRegistry;
import javax.xml.namespace.QName;

public interface Definition extends WSDLElement {
   void addBinding(Binding binding);
   void addImport(Import importDef);
   void addMessage(Message message);
   void addNamespace(String prefix, String namespaceURI);
   void addPortType(PortType portType);
   void addService(Service service);
   Binding createBinding();
   BindingFault createBindingFault();
   BindingInput createBindingInput();
   BindingOperation createBindingOperation();
   BindingOutput createBindingOutput();
   Fault createFault();
   Import createImport();
   Input createInput();
   Message createMessage();
   Operation createOperation();
   Output createOutput();
   Part createPart();
   Port createPort();
   PortType createPortType();
   Service createService();
   Types createTypes();
   Map getAllBindings();
   Map getAllPortType();
   Map getAllServices();
   Binding getBinding(QName name);
   Map getBindings();
   String getDocumentBaseURI();
   ExtensionRegistry getExtensionRegistry();
   Map getImports();
   List getImports(String namespaceURI);
   Message getMessage(QName name);
   Map getMessages();
   String getNamespace(String prefix);
   Map getNamespaces();
   PortType getPortType(QName name);
   Map getPortTypes();
   String getPrefix();
   QName getQName();
   Service getService(QName name);
   Map getServices();
   String getTargetNamespace();
   Types getTypes();
   Binding removeBinding(QName name);
   Import removeImport(Import importDef);
   Message removeMessage(QName name);
   String removeNamespace(String prefix);
   PortType removePortType(QName name);
   Service removeService(QName name);
   void setDocumentBaseURI(String documentBaseURI);
   void setExtensionRegistry(ExtensionRegistry extReg);
   void setQName(QName name);
   void setTargetNamespace(String targetNamespace);
   void setTypes(Types types);
}
