/* **********************************************************
 * Copyright 2008 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

package javax.wsdl;

import java.util.List;
import java.util.Map;

public interface Operation extends WSDLElement {
   void addFault(Fault fault);
   Fault getFault(String name);
   Map getFaults();
   Input getInput();
   String getName();
   Output getOutput();
   List getParameterOrdering();
   OperationType getStyle();
   boolean isUndefined();
   Fault removeFault(String name);
   void setInput(Input input);
   void setName(String name);
   void setOutput(Output output);
   void setParameterOrdering(List parameterOrder);
   void setStyle(OperationType style);
   void setUndefined(boolean isUndefined);
}

